[package]
name = "ghost-miner"
version = "1.5.0"
description = "A tool to submit NPoS election solutions for Ghost and Casper Network"
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
codec = { workspace = true }
scale-info = { workspace = true }

clap = { workspace = true, features = ["derive", "env"] }
tracing-subscriber = { workspace = true, features = ["env-filter"] }
jsonrpsee = { workspace = true, features = ["ws-client"] }

log = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
futures = { workspace = true }
thiserror = { workspace = true }
pin-project-lite = { workspace = true }
tokio = { workspace = true, features = ["macros", "rt-multi-thread", "sync", "signal"] }

scale-value = { workspace = true }
subxt = { workspace = true, features = ["jsonrpsee", "native", "substrate-compat"] }

frame-election-provider-support = { workspace = true }
pallet-election-provider-multi-phase = { workspace = true }
sp-npos-elections = { workspace = true }
frame-support = { workspace = true }
sp-runtime = { workspace = true }

prometheus = { workspace = true }
hyper = { workspace = true, features = ["server", "http1", "http2", "tcp"] }
once_cell = { workspace = true }

[dev-dependencies]
anyhow = { workspace = true }
assert_cmd = { workspace = true }
sp-storage = { workspace = true }
regex = { workspace = true }
